minor changes in names in build_xsedes file. nice balancing act in the recustomize...
authorChris Koeritz <fred@gruntose.com>
Tue, 23 Apr 2013 21:28:31 +0000 (17:28 -0400)
committerChris Koeritz <fred@gruntose.com>
Tue, 23 Apr 2013 21:28:31 +0000 (17:28 -0400)
customizing/fred/build_cak0l.sh [deleted file]
customizing/fred/build_xsedes.sh [new file with mode: 0644]
scripts/core/functions.sh

diff --git a/customizing/fred/build_cak0l.sh b/customizing/fred/build_cak0l.sh
deleted file mode 100644 (file)
index 303b8fa..0000000
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
-
-function build_xsede()
-{
-  pushd ~/xsede/code/cak0l/trunk
-  if [ $? -ne 0 ]; then return 1; fi
-  echo "Build starting at: $(date)"
-  \rm -rf unit-test-reports
-  ant -Dbuild.targetArch=64 build
-  if [ $? -ne 0 ]; then return 1; fi
-  # fix memory limits.
-#hmmm: clean these up.
-  if [ -f runContainer.sh ]; then
-    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh" 
-    chmod 755 "runContainer.sh" 
-  fi
-  if [ -f grid ]; then
-#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
-    chmod 755 "grid"
-  fi
-  if [ -f runContainer.bat ]; then
-    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
-    chmod 755 "runContainer.bat" 
-  fi
-  if [ -f grid.bat ]; then
-#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
-    chmod 755 "grid.bat"
-  fi
-  echo "Build done at: $(date)"
-  popd
-}
-
-function rebuild_xsede()
-{
-  pushd ~/xsede/code/cak0l/trunk
-  ant clean
-  if [ $? -ne 0 ]; then return 1; fi
-  popd
-  build_xsede
-}
-
diff --git a/customizing/fred/build_xsedes.sh b/customizing/fred/build_xsedes.sh
new file mode 100644 (file)
index 0000000..25ae50e
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
+
+function build_xsede()
+{
+  pushd ~/xsede/code/fred/trunk
+  if [ $? -ne 0 ]; then return 1; fi
+  echo "Build starting at: $(date)"
+  \rm -rf unit-test-reports
+  ant -Dbuild.targetArch=64 build
+  if [ $? -ne 0 ]; then return 1; fi
+  # fix memory limits.
+#hmmm: clean these up.
+  if [ -f runContainer.sh ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh" 
+    chmod 755 "runContainer.sh" 
+  fi
+  if [ -f grid ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
+    chmod 755 "grid"
+  fi
+  if [ -f runContainer.bat ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
+    chmod 755 "runContainer.bat" 
+  fi
+  if [ -f grid.bat ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
+    chmod 755 "grid.bat"
+  fi
+  echo "Build done at: $(date)"
+  popd
+}
+
+function rebuild_xsede()
+{
+  pushd ~/xsede/code/fred/trunk
+  ant clean
+  if [ $? -ne 0 ]; then return 1; fi
+  popd
+  build_xsede
+}
+
index 1129d33669eb41800cb9609b64dce7bfbae39f1c..60f576295eff2f118d9a6efb2ea96d4eb73727f4 100644 (file)
@@ -292,6 +292,8 @@ if [ -z "$skip_all" ]; then
     fi
     regenerate >/dev/null
     echo "copying custom overrides for $user"
+    perl "$FEISTY_MEOW_SCRIPTS/files/safedel.pl" "$FEISTY_MEOW_GENERATED/custom"
+    mkdir "$FEISTY_MEOW_GENERATED/custom"
     perl "$FEISTY_MEOW_SCRIPTS/text/cpdiff.pl" "$FEISTY_MEOW_DIR/customizing/$user" "$FEISTY_MEOW_GENERATED/custom"
     regenerate
   }